Bug 1649246 - libyuv package should include a pkgconfig file
Summary: libyuv package should include a pkgconfig file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libyuv
Version: 29
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 08:59 UTC by Antoine Martin
Modified: 2019-04-27 21:26 UTC (History)
1 user (show)

Fixed In Version: libyuv-0-0.33.20190401git4bd08cb.fc30 libyuv-0-0.35.20190401git4bd08cb.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:26:17 UTC


Attachments (Terms of Use)

Description Antoine Martin 2018-11-13 08:59:36 UTC
Here's a trivial change to the rpm spec file to achieve it:
https://xpra.org/trac/changeset/20980

Comment 1 Fedora Update System 2019-04-09 13:24:45 UTC
libyuv-0-0.33.20190401git4bd08cb.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4586b86fc9

Comment 2 Fedora Update System 2019-04-10 14:37:45 UTC
libyuv-0-0.33.20190401git4bd08cb.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4586b86fc9

Comment 3 Fedora Update System 2019-04-15 00:02:08 UTC
libyuv-0-0.33.20190401git4bd08cb.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Antoine Martin 2019-04-16 13:50:09 UTC
Sorry, but you've done it wrong:

Libs: -l%{name}

Gives "-llibyuv", which is incorrect.
It should be "-lyuv".
This makes it impossible to build using this pkgconfig file.

Comment 5 Fedora Update System 2019-04-16 16:20:36 UTC
libyuv-0-0.34.20190401git4bd08cb.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f1dff52fde

Comment 6 Fedora Update System 2019-04-17 01:02:57 UTC
libyuv-0-0.34.20190401git4bd08cb.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f1dff52fde

Comment 7 Antoine Martin 2019-04-17 09:35:43 UTC
better, but I still can't give it positive karma because there's another problem with it:
https://bugzilla.redhat.com/show_bug.cgi?id=1700731

Comment 8 Fedora Update System 2019-04-17 10:54:53 UTC
libyuv-0-0.35.20190401git4bd08cb.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-36e426c909

Comment 9 Fedora Update System 2019-04-17 14:24:18 UTC
libyuv-0-0.35.20190401git4bd08cb.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-36e426c909

Comment 10 Fedora Update System 2019-04-27 21:26:17 UTC
libyuv-0-0.35.20190401git4bd08cb.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.